API ReferenceReported Time
Retrieve the collection of ReportedTime resource.
GET
Retrieve the collection of ReportedTime resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
reportedTimeId?stringorder[reportDate]?stringDefault
"asc"Value in
"asc""desc"task?stringtask[]?array<string>projectUser?stringprojectUser[]?array<string>timeType?stringtimeType[]?array<string>project?stringproject[]?array<string>reportDate[before]?stringreportDate[strictly_before]?stringreportDate[after]?stringreportDate[strictly_after]?stringtimesheetApproval?stringReportedTime timesheetApproval
Format
uuidtimesheetApproval[]?array<>ReportedTime timesheetApproval
ReportedTime collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/reported-times'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "description": "string", "reportDate": "2019-08-24T14:15:22Z", "seconds": 0, "isCreatedManually": true, "timesheetApprovalStatus": "pending", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "timeType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isDefault": true, "isPaid": true, "isActive": true } }]